SuperStrict


Import "src/*.h"
'Import "src/common/*.h"

Import "src/common/config/config.c"
Import "src/libmsql/datetime.c"
Import "src/libmsql/libmsql.c"
Import "src/libmsql/millidatetime.c"
Import "src/libmsql/millitime.c"
Import "src/libmsql/net_client.c"
Import "src/libmsql/time.c"
Import "src/common/types/type_date.c"
Import "src/common/types/type_time.c"

Import "msqlhelper.cpp"

Extern

	Function msqlConnect:Int(host:Byte Ptr)
	Function msqlSelectDB:Int(sock:Int, dbname:Byte Ptr)
	Function msqlClose:Int(sock:Int)
	
	Function msqlQuery:Int(sock:Int, query:Byte Ptr)
	Function msqlFreeResult(result:Byte Ptr)
	Function msqlStoreResult:Byte Ptr()
	Function msqlFieldCount:Int(result:Byte Ptr) = "bmx_msqlFieldCount"
	
	Function msqlFetchField:Byte Ptr(result:Byte Ptr)
	Function msqlFetchRow:Byte Ptr Ptr(result:Byte Ptr)
	
	Function bmx_msql_field_name:Byte Ptr(fld:Byte Ptr)
	Function bmx_msql_field_type:Int(fld:Byte Ptr)
	Function bmx_msql_field_flags:Int(fld:Byte Ptr)
	Function bmx_msql_field_length:Int(fld:Byte Ptr)
	
	Function bmx_msql_getFieldWidth:Int(ftype:Int)
	
	Function msqlListTables:Byte Ptr(sock:Int)
	
	Function msqlGetErrMsg:Byte Ptr(c:Byte Ptr)

End Extern

Const INT_TYPE:Int = 1
Const CHAR_TYPE:Int = 2
Const REAL_TYPE:Int = 3
Const IDENT_TYPE:Int = 4
Const NULL_TYPE:Int = 5
Const TEXT_TYPE:Int = 6
Const DATE_TYPE:Int = 7
Const UINT_TYPE:Int = 8
Const MONEY_TYPE:Int = 9
Const TIME_TYPE:Int = 10
Const IPV4_TYPE:Int = 11
Const INT64_TYPE:Int = 12
Const UINT64_TYPE:Int = 13
Const INT8_TYPE:Int = 14
Const INT16_TYPE:Int = 15
Const UINT8_TYPE:Int = 16
Const UINT16_TYPE:Int = 17
Const BYTE_TYPE:Int = 18
Const CIDR4_TYPE:Int = 19
Const CIDR6_TYPE:Int = 20
Const MILLITIME_TYPE:Int = 21
Const DATETIME_TYPE:Int = 22
Const MILLIDATETIME_TYPE:Int = 23

Const NOT_NULL_FLAG:Int = 1
Const UNIQUE_FLAG:Int = 2

