SuperStrict	

Framework BaH.DBmSQL
Import BRL.filesystem


Local db:TDBConnection = LoadDatabase("MSQL", "maxtest", "192.168.0.31", 0, "brucey", "brucey")

If Not db Then
	DebugLog("Didn't work...")
	End
End If

If db.hasError() Then
	errorAndClose(db)
End If


Local names:String[][] = [ ..
	[ "Alfred", "Aho" ],   ..
	[ "Brian", "Kernighan" ], ..
	[ "Peter", "Weinberger" ] ]

If db.isOpen() Then
'DebugStop
	db.executeQuery("DROP SEQUENCE FROM person")
	db.executeQuery("DROP TABLE person")
	
	Local s:String = "CREATE TABLE person (id integer, " + ..
	  " forename text(30)," + ..
	  " surname text(30) )"

	db.executeQuery(s)

	If db.hasError() Then
		errorAndClose(db)
	End If
	
	db.executeQuery("CREATE INDEX person_idx ON person (id)")
	db.executeQuery("CREATE SEQUENCE ON person")
	
'DebugStop
	For Local i:Int = 0 Until names.length
		Local id:Int = 0
		Local query:TDatabaseQuery = db.executeQuery("SELECT _seq FROM person")
		If query.nextRow() Then
			id = query.rowRecord().getInt(0)
		End If
	
		db.executeQuery("INSERT INTO person values (" + id + ", '" + names[i][0] + "', '" + names[i][1] + "')")
		If db.hasError() Then
			errorAndClose(db)
		End If
	Next
'DebugStop		
	Local query:TDatabaseQuery = db.executeQuery("SELECT * from person")
	If db.hasError() Then
		errorAndClose(db)
	End If
'DebugStop
	While query.nextRow()
		Local record:TQueryRecord = query.rowRecord()
		
		DebugLog(TDBInt(record.value(0)).value + ". Name = " + TDBString(record.value(1)).value + " " + TDBString(record.value(2)).value)
	Wend
	
			
	db.close()
	
End If

Function errorAndClose(db:TDBConnection)
	DebugLog(db.error().toString())
	db.close()
	End
End Function
